<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Entity;

use Sylius\Component\Core\Model\ChannelPricingInterface;
use Sylius\Component\Resource\Model\ResourceInterface;

interface EcotaxInterface extends ResourceInterface
{
    public function getType(): ?EcotaxTypeInterface;

    public function setType(?EcotaxTypeInterface $type): static;

    public function getValue(): ?int;

    public function setValue(int $value): static;

    public function getChannelPricing(): ?ChannelPricingInterface;

    public function setChannelPricing(?ChannelPricingInterface $channelPricing): static;
}
