<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Entity;

use Sylius\Component\Core\Model\ChannelPricingInterface;

class Ecotax implements EcotaxInterface
{
    private ?int $id = null;

    private ?int $value = 0;

    private ?EcotaxTypeInterface $type = null;

    private ?ChannelPricingInterface $channelPricing = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getType(): ?EcotaxTypeInterface
    {
        return $this->type;
    }

    public function setType(?EcotaxTypeInterface $type): static
    {
        $this->type = $type;

        return $this;
    }

    public function getValue(): ?int
    {
        return $this->value;
    }

    public function setValue(?int $value): static
    {
        $this->value = $value;

        return $this;
    }

    public function getChannelPricing(): ?ChannelPricingInterface
    {
        return $this->channelPricing;
    }

    public function setChannelPricing(?ChannelPricingInterface $channelPricing): static
    {
        $this->channelPricing = $channelPricing;

        return $this;
    }
}
