<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Entity;

use Sylius\Component\Resource\Model\CodeAwareInterface;
use Sylius\Component\Resource\Model\ResourceInterface;
use Sylius\Component\Resource\Model\TranslatableInterface;

interface EcotaxTypeInterface extends ResourceInterface, TranslatableInterface, CodeAwareInterface
{
    public function setLabel(?string $label): static;

    public function getLabel(): ?string;
}
